curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "deepseek-v4.1-flash",
"messages": [
{
"role": "user",
"content": "Explain how a B-tree index accelerates database queries."
}
],
"max_tokens": 1024
}
'{
"id": "chatcmpl-example",
"object": "chat.completion",
"created": 123,
"model": "deepseek-v4.1-flash",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
},
"prompt_cache_hit_tokens": 123,
"prompt_cache_miss_tokens": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}deepseek-v4.1-flash
Creates a text response from text or image input using DeepSeek V4.1 Flash.
curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "deepseek-v4.1-flash",
"messages": [
{
"role": "user",
"content": "Explain how a B-tree index accelerates database queries."
}
],
"max_tokens": 1024
}
'{
"id": "chatcmpl-example",
"object": "chat.completion",
"created": 123,
"model": "deepseek-v4.1-flash",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
},
"prompt_cache_hit_tokens": 123,
"prompt_cache_miss_tokens": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
AnyFast model ID.
deepseek-v4.1-flash "deepseek-v4.1-flash"
Conversation messages. Image content is accepted only in user messages.
1Show child attributes
Show child attributes
Thinking mode configuration. Thinking is enabled by default.
Show child attributes
Show child attributes
Thinking control and effort. none disables thinking; this is a top-level field, separate from thinking.
none, low, high, max Maximum number of generated tokens.
1 <= x <= 393216Use json_object for JSON mode and explicitly request JSON in the prompt.
Show child attributes
Show child attributes
Stream partial message deltas over SSE.
Show child attributes
Show child attributes
Ignored when thinking mode is enabled.
0 <= x <= 2In thinking mode, values below 0.95 are treated as 0.95; in non-thinking mode the effective value is 1.0.
0 <= x <= 1Show child attributes
Show child attributes
none, auto, required Accepted for compatibility but has no effect in thinking mode.
-2 <= x <= 2Accepted for compatibility but has no effect in thinking mode.
-2 <= x <= 2Stable end-user identifier for content safety and cache isolation.
512^[a-zA-Z0-9\-_]+$Response
Chat completion created
Was this page helpful?